Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 451407

Summary: Review Request: python-webtest - Helper to test WSGI applications
Product: [Fedora] Fedora Reporter: Ricky Zhou <rickyz>
Component: Package ReviewAssignee: Tim Lauridsen <tla>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, tla
Target Milestone: ---Flags: tla: fedora-review+
huzaifas: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-20 22:04:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 455111    
Bug Blocks:    

Description Ricky Zhou 2008-06-14 07:07:21 UTC
Spec URL: http://ricky.fedorapeople.org/pkgs/python-webtest/python-webtest.spec
SRPM URL: http://ricky.fedorapeople.org/pkgs/python-webtest/python-webtest-1.0-1.fc9.src.rpm
Description:
WebTest wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

This provides convenient full-stack testing of applications written
with any WSGI-compatible framework.

Comment 1 Ricky Zhou 2008-06-14 07:12:37 UTC
This will depend on WebOb (which hasn't been submitted yet).  

Comment 2 Brian Pepple 2008-07-08 00:20:37 UTC
Remove it from the queue until python-Web0b is submitted; just clear the
whiteboard when it's ready.

Comment 3 Ricky Zhou 2008-07-12 03:21:08 UTC
Thanks - python-WebOb is submitted, so I'm clearing the whiteboard and adding a
dependency on the review request.

Comment 4 Ricky Zhou 2008-07-17 04:39:58 UTC
Fix incorrect case of python-webob dependency and add a %check section (and a
BuildRequires for it):

Spec URL: http://ricky.fedorapeople.org/pkgs/python-webtest/python-webtest.spec
SRPM URL:
http://ricky.fedorapeople.org/pkgs/python-webtest/python-webtest-1.0-3.fc9.src.rpm


Comment 5 Tim Lauridsen 2008-10-13 05:27:44 UTC
I'll take this one.

rpmlint is silent
source match upstream
bdc4f8597c1d9500636f09bf52ed9d33  WebTest-1.0.tar.gz
bdc4f8597c1d9500636f09bf52ed9d33  WebTest-1.0.tar.gz


MUST:
* package is named appropriately
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* summary and description fine
* correct buildroot
* %{.dist} is used
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager tag not used
* Vendor tag not used
* Distribution tag not used
* License used and not Copyright 
* Summary tag does not end in a period
* specfile is legible
* package successfully compiles and builds on at least x86
* make sure lines are <= 80 characters
* specfile written in American English
* no -doc sub-package necessary
* no libraries
* no rpath
* not a GUI app
* no -devel sub-package necessary
* macros used appropriately and consistently
* no %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* no locale data
* no Requires(pre,post)
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* %defattrs present ( %defattr(-, root, root, -))
* %clean present
* %doc files do not affect runtime


SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
? package should build in mock
 - I haven't tried, but I don't think it'll be a problem


APPROVED

Comment 6 Ricky Zhou 2008-10-13 06:08:50 UTC
Thanks!  (And by the way, %doc docs/* includes docs/license.txt, which contains the license.)

New Package CVS Request
=======================
Package Name: python-webtest
Short Description: Helper to test WSGI applications
Owners: ricky
Branches: F-8 F-9 EL-4 EL-5
InitialCC:

Comment 7 Huzaifa S. Sidhpurwala 2008-10-13 10:42:45 UTC
cvs done

Comment 8 Fedora Update System 2008-10-14 07:43:25 UTC
python-webtest-1.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-webtest-1.0-3.fc9

Comment 9 Fedora Update System 2008-10-14 07:44:08 UTC
python-webtest-1.0-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/python-webtest-1.0-3.fc8

Comment 10 Fedora Update System 2008-10-20 22:04:05 UTC
python-webtest-1.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-10-20 22:11:26 UTC
python-webtest-1.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.